/*
 *  $Id: initialize.c,v 1.1 1994/03/29 21:42:35 gropp Exp $
 *
 *  (C) 1993 by Argonne National Laboratory and Mississipi State University.
 *      All rights reserved.  See COPYRIGHT in top-level directory.
 */


#ifndef lint
static char vcid[] = "$Id: initialize.c,v 1.1 1994/03/29 21:42:35 gropp Exp $";
#endif /* lint */
#include "mpi.h"
#include "mpisys.h"

int MPIR_Has_been_initialized = 0;

/*@
   MPI_Initialized - Indicate whether MPI_Init has been called.

Output Parameter:
. flag - Flag is true if MPI_INIT has been called and false otherwise. 

@*/
int MPI_Initialized( flag )
int  *flag;
{
*flag = MPIR_Has_been_initialized;
}
