/* 	$Id: first.c,v 1.5 1993/12/03 20:47:27 lusk Exp $	 */

#ifndef lint
static char vcid[] = "$Id: first.c,v 1.5 1993/12/03 20:47:27 lusk Exp $";
#endif /* lint */

/*
     first - test program that sends one integer from one process to another,
             using isend, irecv, wait
*/

#include "mpi.h"

int main( argc, argv )
int argc;
char **argv;
{
    char message[20];
    int myrank;
    MPI_Status status;

    MPI_Init( &argc, &argv );
    MPI_Comm_rank( MPI_COMM_WORLD, &myrank );
    if (myrank == 0)    /* code for process zero */
    {
	strcpy(message,"Hello, world");
	MPI_Send(message, strlen(message), MPI_CHAR, 1, 99, MPI_COMM_WORLD);
    }
    else                /* code for process one */
    {
	MPI_Recv(message, 21, MPI_CHAR, 0, 99, MPI_COMM_WORLD, status);
	printf("received :%s:\n", message);
    }
    MPI_Finalize(); 
}
