/*
 *  $Id: iprobe.c,v 1.1 1994/03/29 21:45:24 gropp Exp $
 *
 *  (C) 1993 by Argonne National Laboratory and Mississipi State University.
 *      All rights reserved.  See COPYRIGHT in top-level directory.
 */


#ifndef lint
static char vcid[] = "$Id: ";
#endif /* lint */

#include "mpi.h"
#include "mpisys.h"

/*@
    MPI_Iprobe - Nonblocking test for a message

Input Parameters:
. source - source rank, or  MPI_ANY_SOURCE (integer) 
. tag - tag value or  MPI_ANY_TAG (integer) 
. comm - communicator (handle) 
Output Parameter:
. flag - (logical) 
. status - status object (Status) 

@*/
int MPI_Iprobe( source, tag, comm, flag, status )
int         source;
int         tag;
int         *flag;
MPI_Comm    comm;
MPI_Status  *status;
{
MPID_iprobe( source, tag, comm->recv_context, flag, status );
return MPI_SUCCESS;
}
