/*
 *  $Id: wait.c,v 1.8 1994/04/12 16:01:45 gropp Exp $
 *
 *  (C) 1993 by Argonne National Laboratory and Mississipi State University.
 *      All rights reserved.  See COPYRIGHT in top-level directory.
 */


#ifndef lint
static char vcid[] = "$Id: wait.c,v 1.8 1994/04/12 16:01:45 gropp Exp $";
#endif /* lint */

#include "mpi.h"

/*@
    MPI_Wait  - Wait for an MPI send or receive to complete

Input Parameter:
. request - request (handle) 
Output Parameter:
. status - status object (Status) 
@*/
int MPI_Wait ( request, status )
MPI_Request  *request;
MPI_Status   *status;
{
    int err;
    err = MPI_Waitall( 1, request, status );
    return err;
}
