/*
 *  
 *  (C) 1993 by Argonne National Laboratory and Mississipi State University.
 *      All rights reserved.  See COPYRIGHT in top-level directory.
 */

#include <mpi.h>

/* This should convert a Fortran .true. to 1 and .false. to 0.  Must be
   defined for each system */

#define BOOL(f) ((f == 0) ? 0 : 1)
/*

MPI_Cart_shift - 

*/
/*ARGSUSED*/
void mpi_cart_shift_( comm, direction, shift, source, dest )
int              *comm;
int              *direction; 
int              *shift;
int              *source, *dest;
{
    MPI_Comm comm2;
    if (*comm == 0) comm2 = MPI_COMM_WORLD;
    else            comm2 = *(MPI_Comm*)comm;

    MPI_Cart_shift( comm2, *direction, *shift, source, dest );
}
